What browser version do I need to use?

Return to Frequently Asked Questions

The OSS Academy® LMS supports the following commercially supported browsers and versions:

     •
FireFox
     • Internet Explorer (10 or above)
     • Safari
     • Chrome
     • Opera
     • Android and IOS Mobile Devices

We also recommend that the latest Adobe Flash Player and
Adobe Acrobat Reader be installed on your machine. Available from www.adobe.com.

Copyright © OSS Academy®. All rights reserved.

120.11.5.1: JPR-OH-WEB04